#!/usr/bin/env sh
if [ $# -eq 0 ]
then
  begin=$(gdate -d'Last Sun')
  end=$(gdate -d'Last Sun +6 days')
else
  mydate=$1
  shift
  begin=`gdate -d "$mydate -$(gdate --date="$mydate" +%u) days"`
  end=`gdate -d "$begin" -d'+7 days'`
fi

recsel db/menu.rec -e "date >> '$begin'" \
| recsel -e "date << '$end'" -P breakfast,lunch,dinner -C \
| sort \
| uniq \
| xargs -I % recsel db/recipes.rec \
    -t meal \
    -j recipe \
    -e "name = '%'" \
    -G name \
    -P recipe_ingredient \
| sort

